<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "practice_video".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "PracticeVideo".
 *
 * Columns in table "practice_video" available as properties of the model,
 * followed by relations of table "practice_video" available as properties of the model.
 *
 * @property integer $id
 * @property integer $practice_id
 * @property string $embed_code
 *
 * @property Practice $practice
 */
abstract class BasePracticeVideo extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'practice_video';
    }

    public static function representingColumn()
    {
        return 'embed_code';
    }

    public function rules()
    {
        return array(
            array('practice_id, embed_code', 'required'),
            array('practice_id', 'numerical', 'integerOnly' => true),
            array('id, practice, embed_code', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'practice' => array(self::BELONGS_TO, 'Practice', 'practice_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'practice_id' => Yii::t('app', 'Practice'),
            'embed_code' => Yii::t('app', 'Embed Code'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->with = array('practice');

        $criteria->compare('id', $this->id);
        $criteria->compare('practice.name', $this->practice, true);
        $criteria->compare('embed_code', $this->embed_code, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'PracticeVideo|PracticeVideos', $n);
    }

}
